Subject: Re: core.gitproxy and non-git protocols

From: Jakub Narebski <[email-masked]>
Date: Sat, 04 Aug 2007 02:33:52 +0200

[Cc: David Symonds <[email-masked]>, gmane.comp.version-control.git]

David Symonds wrote:

> I have a situation where I'd like to push to a remote git repository
> on a machine that is a little weird to access, so I need two different
> types of ssh'ing to reach it depending on my location. That is easily
> scriptable, which is how I did it with SVN (ended up with a
> svn+voltron:// protocol), but is not currently possible with git.

See http://git.or.cz/gitwiki/GitTip, section "How to push/pull via ssh to
host behind gateway?". It describes two solutions: first, using
ProxyCommand option of ssh and netcat utility on gateway, second via ssh
tunnel set up.

-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git